Bug 246714 - [revive port] lang/sdcc and take maintainership
Summary: [revive port] lang/sdcc and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-25 07:25 UTC by darius
Modified: 2020-05-30 05:22 UTC (History)
1 user (show)

See Also:


Attachments
Port files (4.30 KB, application/x-gzip)
2020-05-25 07:25 UTC, darius
no flags Details
Diff against SVN for resurrection (878 bytes, patch)
2020-05-28 08:21 UTC, darius
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description darius 2020-05-25 07:25:44 UTC
Created attachment 214834 [details]
Port files

The SDCC port was removed for using python2, however it works fine with python3.
I am not sure if I need to patch anything - when I did a test build it ended up with a shebang line of '#!/usr/local/bin/python' (which is python3 on this system).
Comment 1 Hiroki Tagato freebsd_committer 2020-05-28 07:55:35 UTC
Hi,

Thanks for your effor to revive this port.

Can you post a diff file against the last living revision rather than a shar file?

cf. https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/ports.html#ports-qa-re-adding

Please use:

https://svn.freebsd.org

instead of:

svn+ssh://repo.freebsd.org

for SVN URL.
Comment 2 darius 2020-05-28 08:21:11 UTC
Created attachment 214953 [details]
Diff against SVN for resurrection
Comment 3 Hiroki Tagato freebsd_committer 2020-05-29 05:39:10 UTC
(In reply to darius from comment #2)

Thanks for posting the patch.

The python dependency has changed from run-time dependency to build-time dependency. Is that OK?

I just want to make it sure that the change is not made by accident.
Comment 4 darius 2020-05-29 05:46:22 UTC
(In reply to Hiroki Tagato from comment #3)
Ah that is a mistake - it should be run and build, the configure script looks for a python binary and it installs python scripts.
Comment 5 commit-hook freebsd_committer 2020-05-30 05:21:12 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 30 05:21:05 UTC 2020
New revision: 537038
URL: https://svnweb.freebsd.org/changeset/ports/537038

Log:
  - Resurrect port and undeprecate
  - Pass maintainership to submitter
  - Correct licenses
  - Remove version lock of python dependency

  PR:		246714
  Submitted by:	darius@dons.net.au
  Approved by:	ehaupt (mentor)

Changes:
  head/MOVED
  head/lang/Makefile
  head/lang/sdcc/
  head/lang/sdcc/Makefile
Comment 6 Hiroki Tagato freebsd_committer 2020-05-30 05:22:08 UTC
Committed, thanks!